Summary:       GNU Arch, a modern CVS replacement
Name:          tla
Version:       1.3.5
Release:       6%{?dist}%{?pext}
License:       GPL
Group:         Development/Tools
Source0:       ftp://ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.gz
URL:           http://regexps.srparish.net/www/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Thomas Lord <lord@emf.net>
Provides:      arch
Requires:      gnupg
BuildRequires: krb5-devel zlib-devel


%description
Arch is a modern replacement for CVS, specifically designed for the
distributed development needs of open source projects. It has uniquely
good support for development on branches (especially good merging
tools), distributed repositories (every developer can have branches
in their own repository), changeset-oriented project management (arch
commits changes to multiple files at once), and, of course, file and
directory renaming.


%prep
%setup -q
%{__mkdir} src/\=build

# Prepare docs
%{__mkdir_p} docs

%{__cp} -f =RELEASE-ID =meta-update =update docs
%{__cp} -f *.css *.html *.txt docs
%{__cp} -f src/tla/C* docs
%{__cp} -rf src/docs-tla docs/tla
%{__cp} -rf web/gnu-arch docs/arch

find docs -depth -name .arch-ids -exec %{__rm} -rf {} \;
find docs -depth -name {arch}    -exec %{__rm} -rf {} \;


%build
export CFLAGS="${RPM_OPT_FLAGS}"

pushd src/\=build
../configure \
	--prefix=%{_prefix} \
	--destdir=${RPM_BUILD_ROOT}

%{__make} #%{?_smp_mflags}
popd


%check
pushd src/\=build
%{__make} test
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}

pushd src/\=build
%{__make} install
popd

%{__install} -m 0755 src/tla/=gpg-check.awk \
	${RPM_BUILD_ROOT}%{_bindir}/%{name}-gpg-check


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc docs/*
%{_bindir}/%{name}
%{_bindir}/%{name}-gpg-check


%changelog
* Wed Feb 27 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.3.5-6
- Rewritten for buildsystem

* Sun Dec 16 2007 Peter Pramberger <peterpramb@member.fsf.org> - 1.3.5-5
- Some specfile cleanups (x86_64 support)

* Fri Sep 08 2006 <peter.pramberger@member.fsf.org>
- New version (1.3.5)

* Wed May 17 2006 <peter.pramberger@member.fsf.org>
- New version (1.3.4)

* Wed Nov 30 2005 <peter.pramberger@member.fsf.org>
- Minor specfile fixes

* Sun Oct 16 2005 <peter.pramberger@member.fsf.org>
- Initial build
